package com.yidianling.tests.search

import com.ydl.ydlcommon.mvp.base.IView
import com.yidianling.tests.list.model.bean.RecommendSearchItemBean
import com.yidianling.tests.list.model.bean.Test

/**
 * TestSearchView
 * Created by zqk on 17-12-5.
 */
interface TestSearchView : IView {
    fun showLoadingView()
    fun hideLoadingView()

    fun showError(msg: String)
    fun showNoResultView()
    fun hideNoResultView()

    fun showSearchResultView(testList: List<Test>?, page: Int)

    fun onRecommendSearchListResponse(testList: List<RecommendSearchItemBean>)
    fun onHotRecommendResponse(datalist : List<Test>)
}